Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038502
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-05-08 11:102018-05-18 15:27
ReportermaiteView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision7da029241607
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038502: "Error in previous cashup" received in terminal when Payment Type is NOT ACTIVE

Description"Error in previous cashup" is received when trying to login in a terminal that has a Payment Type record set as Active=NO

Steps To Reproduce0. Access to POS Terminal "VBS-1", go to Payment Type tab and set any record as Active=NO
1. Clear browsing data and access to the terminal
2. "Error in previous cashup" error will be received
Proposed SolutionProblem is in method "getPayments" in Cashup.java, in following line:

OBPOSAppPayment paymentAppMethod = (OBPOSAppPayment) paymentAppMethodCriteria.uniqueResult();

As problem seems to be that current cashup has an inactive Payment Type we should not be able to deactivate a payment type when a cashup is open
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038314 closedranjith_qualiantech_com Web POS is stuck on loading window. 
related to defect 0038542 resolvedrqueralta Order goes to Errors While Importing POS Data if it is paid by a Payment Type that has been removed 

-  Notes
(0104519)
hgbot (developer)
2018-05-15 14:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7da029241607cb8524e292b101cfce8276cfb7b9
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon May 14 14:39:51 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7da029241607cb8524e292b101cfce8276cfb7b9 [^]

Fixed issue 38502: "Error in previous cashup" received in terminal when Payment
Type is NOT ACTIVE

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/event/PaymentMethodEventHandler.java
---
(0104592)
hgbot (developer)
2018-05-18 15:27

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 37c06594f7dec28d456437c38875af9202f93340
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri May 18 15:27:23 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/37c06594f7dec28d456437c38875af9202f93340 [^]

Related to issue 38502. Fix typos in message.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
---

- Issue History
Date Modified Username Field Change
2018-05-08 11:10 maite New Issue
2018-05-08 11:10 maite Assigned To => Retail
2018-05-08 11:10 maite Triggers an Emergency Pack => No
2018-05-08 11:10 maite Issue Monitored: networkb
2018-05-08 11:19 maite Relationship added related to 0038314
2018-05-10 18:25 rqueralta Assigned To Retail => rqueralta
2018-05-10 20:23 rqueralta Status new => scheduled
2018-05-14 11:59 ngarcia Relationship added related to 0038542
2018-05-15 14:59 hgbot Checkin
2018-05-15 14:59 hgbot Note Added: 0104519
2018-05-15 14:59 hgbot Status scheduled => resolved
2018-05-15 14:59 hgbot Resolution open => fixed
2018-05-15 14:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7da029241607cb8524e292b101cfce8276cfb7b9 [^]
2018-05-18 15:27 hgbot Checkin
2018-05-18 15:27 hgbot Note Added: 0104592
2018-05-18 15:27 marvintm Review Assigned To => marvintm
2018-05-18 15:27 marvintm Status resolved => closed
2018-05-18 15:27 marvintm Fixed in Version => RR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker